Package org.apache.tools.ant.taskdefs.optional.unix

# Class AbstractAccessTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.ExecTask
org.apache.tools.ant.taskdefs.ExecuteOn
org.apache.tools.ant.taskdefs.optional.unix.AbstractAccessTask

All Implemented Interfaces:
  `java.lang.Cloneable`

Direct Known Subclasses:
  `Chgrp`, `Chown`

    public abstract class AbstractAccessTask
    extends ExecuteOn

Since:
  Ant 1.6

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.ExecuteOn

`ExecuteOn.FileDirBoth`

## Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.ExecuteOn

`destDir, filesets, mapper, mapperElement, srcFilePos, srcIsFirst, targetFilePos, type`

### Fields inherited from class org.apache.tools.ant.taskdefs.ExecTask

`cmdl, failOnError, newEnvironment, redirector, redirectorElement`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AbstractAccessTask()` | Chmod task for setting file and directory permissions.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`protected boolean` | `isValidOs()` | Automatically approve Unix OS's.
`void` | `setAddsourcefile​(boolean b)` | Prevent the use of the addsourcefile attribute.
`void` | `setCommand​(Commandline cmdl)` | Prevent the user from specifying a different command.
`void` | `setFile​(java.io.File src)` | Set the file which should have its access attributes modified.
`void` | `setSkipEmptyFilesets​(boolean skip)` | Prevent the skipping of empty filesets

### Methods inherited from class org.apache.tools.ant.taskdefs.ExecuteOn

`add, add, addDirset, addFilelist, addFileset, checkConfiguration, createHandler, createMapper, createSrcfile, createTargetfile, getCommandline, getCommandline, getDirs, getFiles, getFilesAndDirs, runExec, runParallel, setDest, setForce, setForwardslash, setIgnoremissing, setMaxParallel, setParallel, setRelative, setType, setupRedirector, setVerbose`

### Methods inherited from class org.apache.tools.ant.taskdefs.ExecTask

`addConfiguredRedirector, addEnv, createArg, createWatchdog, execute, getOs, getOsFamily, getResolveExecutable, logFlush, maybeSetResultPropertyValue, prepareExec, resolveExecutable, runExecute, setAppend, setDir, setDiscardError, setDiscardOutput, setError, setErrorProperty, setExecutable, setFailIfExecutionFails, setFailonerror, setInput, setInputString, setLogError, setNewenvironment, setOs, setOsFamily, setOutput, setOutputproperty, setResolveExecutable, setResultProperty, setSearchPath, setSpawn, setTimeout, setTimeout, setVMLauncher`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractAccessTask

public AbstractAccessTask()
Chmod task for setting file and directory permissions.

## Method Details

### setFile

public void setFile​(java.io.File src)
Set the file which should have its access attributes modified.

Parameters:
  `src` - the file to modify

### setCommand

public void setCommand​(Commandline cmdl)
Prevent the user from specifying a different command.

Overrides:
  `setCommand` in class `ExecTask`
Parameters:
  `cmdl` - A user supplied command line that we won't accept.

### setSkipEmptyFilesets

public void setSkipEmptyFilesets​(boolean skip)
Prevent the skipping of empty filesets

Overrides:
  `setSkipEmptyFilesets` in class `ExecuteOn`
Parameters:
  `skip` - A user supplied boolean we won't accept.

### setAddsourcefile

public void setAddsourcefile​(boolean b)
Prevent the use of the addsourcefile attribute.

Overrides:
  `setAddsourcefile` in class `ExecuteOn`
Parameters:
  `b` - A user supplied boolean we won't accept.

### isValidOs

protected boolean isValidOs()
Automatically approve Unix OS's.

Overrides:
  `isValidOs` in class `ExecTask`
Returns:
  true if a valid OS, for unix this is always true, otherwise use the superclasses' test (user set).